body {
    margin: 0;
    padding: 0;
    /* min-height: 100vh;
    min-width: 100vw;
    max-height: 100vh;
    max-width: 100vw; */
    background-color: #161883 !important;
}

.login-form {
    margin: auto;
    padding: 2rem 1rem;
    background-color: white;
    max-width: 30vw;
    min-width: 30vw;
    color: black;
    border-radius: 1rem;
}

#login-error-msg-holder {
    width: 100%;
    height: 100%;
    display: grid;
    justify-items: center;
    align-items: center;
    display: none;
}

#login-error-msg {
    /* width: 23%; */
    text-align: center;
    margin: 0;
    padding: 5px;
    font-size: 12px;
    font-weight: bold;
    color: #8a0000;
    border: 1px solid #8a0000;
    background-color: #e58f8f;
}

#error-msg-second-line {
    display: block;
}


/* ------------------------------- */
/* New Login */
/* ------------------------------- */


@import url('https://rsms.me/inter/inter-ui.css');

::selection {
    background: #2D2F36;
}

::-webkit-selection {
    background: #2D2F36;
}

::-moz-selection {
    background: #2D2F36;
}

body {
    font-family: 'Inter UI', sans-serif;
    margin: 0;
    padding: 20px;
    background: rgb(10, 48, 81);
    background: radial-gradient(circle,
            rgba(10, 48, 81, 1) 0%,
            rgba(7, 27, 45, 1) 100%);
}

.page {
    display: flex;
    flex-direction: column;
    height: calc(100% - 40px);
    position: absolute;
    place-content: center;
    width: calc(100% - 40px);
}

@media (max-width: 767px) {
    .page {
        height: auto;
        margin-bottom: 20px;
        padding-bottom: 20px;
    }
}

.container {
    display: flex;
    height: 320px;
    margin: 0 auto;
    width: 640px;
}

@media (max-width: 767px) {
    .container {
        flex-direction: column;
        height: 630px;
        width: 320px;
    }
}

.left {
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
    background-image: linear-gradient(to right, #0a3051, #092b48, #08253f, #082036, #071b2d);
    height: calc(100% - 40px);
    top: 20px;
    position: relative;
    width: 50%;
    color: white;
}

@media (max-width: 767px) {
    .left {
        height: 100%;
        left: 20px;
        width: calc(100% - 40px);
        max-height: 270px;
    }
}

.login {
    font-size: 30px;
    font-weight: 700;
    margin: 34px 50px;
    /* margin: 34px 120px -31px; */
}

.eula {
    color: #999;
    font-size: 14px;
    line-height: 1.5;
    margin: 40px;
}

.right {
    border-radius: 1rem;
    background-image: radial-gradient(circle, #0a3051, #092b48, #08253f, #082036, #071b2d);
    box-shadow: 0px 0px 40px 16px rgba(0, 0, 0, 0.22);
    color: #F1F1F2;
    position: relative;
    width: 50%;
}

@media (max-width: 767px) {
    .right {
        flex-shrink: 0;
        height: 100%;
        width: 100%;
        max-height: 350px;
    }
}

svg {
    position: absolute;
    width: 320px;
}

path {
    fill: none;
    stroke: url(#linearGradient);
    ;
    stroke-width: 4;
    stroke-dasharray: 240 1386;
}

.form {
    margin: 40px;
    position: absolute;
}

label {
    color: #c2c2c5;
    display: block;
    font-size: 14px;
    height: 16px;
    margin-top: 20px;
    margin-bottom: 5px;
}

input {
    background: transparent;
    border: 0;
    color: #f2f2f2;
    font-size: 20px;
    height: 30px;
    line-height: 30px;
    outline: none !important;
    width: 100%;
}

input::-moz-focus-inner {
    border: 0;
}

#submit,
#get_otp_btn,
#resend_otp {
    color: #707075;
    margin-top: 40px;
    transition: color 300ms;
    text-align: center;
}

#submit:focus,
#get_otp_btn:focus,
#resend_otp:focus {
    color: #f2f2f2;
}

#submit:active,
#get_otp_btn:active,
#resend_otp:active {
    color: #d0d0d2;
}

/* ------------------------------- */


.loading_popup_class{
    color: #b7b7b7;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgb(10, 48, 81);
    opacity: 0.5;
}
.blur_background{
    overflow: hidden;
    background-color: rgb(10, 48, 81);
    background: radial-gradient(circle,rgba(10, 48, 81, 1) 0%,rgba(7, 27, 45, 1) 100%);
    /* filter: blur(5px) brightness(0.5); */
}
.ring{
    position:absolute;
    top:50%;
    left:50%;
    transform:translate(-50%,-50%);
    width:150px;
    height:150px;
    background:transparent;
    border:3px solid #3c3c3c;
    border-radius:50%;
    text-align:center;
    line-height:150px;
    font-family:sans-serif;
    font-size:20px;
    color:#fff000;
    letter-spacing:4px;
    text-transform:uppercase;
    text-shadow:0 0 10px #fff000;
    box-shadow:0 0 20px rgba(0,0,0,.5);
}
.ring:before{
    content:'';
    position:absolute;
    top:-3px;
    left:-3px;
    width:100%;
    height:100%;
    border:3px solid transparent;
    border-top:3px solid #fff000;
    border-right:3px solid #fff000;
    border-radius:50%;
    animation:animateC 2s linear infinite;
}
.ring span{
    display:block;
    position:absolute;
    top:calc(50% - 2px);
    left:50%;
    width:50%;
    height:4px;
    background:transparent;
    transform-origin:left;
    animation:animate 2s linear infinite;
}
.ring span:before{
    content:'';
    position:absolute;
    width:16px;
    height:16px;
    border-radius:50%;
    background:#fff000;
    top:-6px;
    right:-8px;
    box-shadow:0 0 20px #fff000;
}
@keyframes animateC{
    0%{
        transform:rotate(0deg);
    }
    100%{
        transform:rotate(360deg);
    }
}
@keyframes animate{
    0%{
        transform:rotate(45deg);
    }
    100%{
        transform:rotate(405deg);
    }
}